class CreateChoices < ActiveRecord::Migration
  def self.up
    create_table :choices do |t|
      t.integer :question_id
      t.text :text
      t.boolean :is_correct
      t.integer :position

      t.timestamps
    end

    add_index :choices, :question_id
  end

  def self.down
    drop_table :choices
  end
end
