class CreateAssets < ActiveRecord::Migration
  def self.up
    create_table :assets do |t|
      t.string :attachable_type, :null => false
      t.integer :attachable_id, :null => false
      t.string :asset_file_name
      t.integer :asset_file_size
      t.string :asset_content_type
      t.datetime :asset_updated_at

      t.timestamps
    end

    add_index :assets, :attachable_type
    add_index :assets, [:attachable_type, :attachable_id]
  end

  def self.down
    drop_table :assets
  end
end
