class SettingsController < ApplicationController

  def allows_to?(action)
    return(current_user.has_role?("admin"))
  end

  def edit
  end
  
  def update
    settings = (params[:settings] || {}).dup.symbolize_keys
    settings.each do |name, value|
      value.delete_if {|v| v.blank?} if value.is_a?(Array)
      Setting[name] = value
    end
    redirect_to(:action => :edit, :notice => t(:notice_successfully_update))
  end

end
